package com.ruoyi.common.core.redis.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author wjh
 * 2024/3/29
 */
@Getter
@AllArgsConstructor
public enum RedisLockKey {
    USER_APP_BIND("user_app_bind", "用户APP绑定"),
    DEVICE_ONLINE_COMMAND("device_online_command", "设备在线发送命令"),
    ORDER_CREATE("order_create", "订单创建"),
    PAY_CREATE("create_pay", "创建支付"),
    DEVICE_SN_UNIQUE("device_sn_unique", "设备SN唯一"),
    DEVICE_MAC_UNIQUE("device_mac_unique", "设备MAC唯一");

    private final String key;
    private final String name;


}
